D4Science Infrastructure - Task #85

Task # 84 (Closed): Create new virtual machines to host gCube and DScience WIKI

Deploy wikimedia on wiki.gcube-system.org and wiki.d4science.org
May 13, 2015 03:02 PM - Luca Frosini

Status: Closed Start date: May 13, 2015

Priority: High Due date:

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: New WIKI Installation

Infrastructure: Production

Description

Subtasks:

Task # 87: Make new gCube and D4Science wiki available only on https Closed
History

#1 - May 13, 2015 03:09 PM - Luca Frosini

- Subject changed from Deploy new WIKI on wiki.gcube-system.org to Deploy wikimedia on wiki.gcube-system.org and wiki.d4science.org

#2 - May 27, 2015 02:22 PM - Luca Frosini

- Assignee changed from Tommaso Piccioli to Andrea Dell’Amico

#3 - May 27, 2015 05:55 PM - Luca Frosini
- Priority changed from Normal to High

#4 - May 28, 2015 03:14 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- Parent task set to #84

I'm going to install mediawiki with nginx as a front end web server loosely following those guides:
[[bttps://www.mediawiki.org/wiki/Manual:Running_MediaWiki_on_Ubuntu]] and [[https://help.ubuntu.com/community/MediaWiki]].

Do we already know which extensions we need?
any constraint about the mediawiki version or the mysqgl db to ease the migration?

#5 - May 28, 2015 03:21 PM - Luca Frosini

Roberto Cirillo do you have information regarding what Andrea is asking?

#6 - May 29, 2015 07:42 PM - Andrea Dell'Amico

A mediawiki installation lives on wiki.d4science.org. | shut down the web server because | still don't know how the wiki needs to be configured, so |
didn't try any kind of setup.

To complete the job | produced some new ansible roles:
® mysql

* php-fom
¢ mediawiki

#7 - Jun 09, 2015 05:09 PM - Andrea Dell'Amico

It seems that we only need to ask for the wiki backups.
Tommaso is going to email the Greeks.

After that we will have to try the import.

#8 - Jun 09, 2015 05:09 PM - Andrea Dell'Amico

- Assignee changed from Andrea Dell’Amico to Tommaso Piccioli
https://redmine.dev.d4science.org/users/601

#9 - Jun 12, 2015 06:22 PM - Andrea Dell'Amico

- Assignee changed from Tommaso Piccioli to Andrea Dell’Amico

The two mediawiki instances will run on the same server or there will be two separate VMs?

#10 - Jun 17,2015 11:46 AM - Andrea Dell'Amico
Andrea Dell'Amico wrote:
The two mediawiki instances will run on the same server or there will be two separate VMs?

Tommaso Piccioli Luca Frosini | really need to know. If we want the two wikis on the same server I'll have to change the provisioning playbook and
reconfigure the server.

#11 - Jun 18,2015 11:03 AM - Luca Frosini

Roberto Cirillo can collaborate with Andrea Dell'Amico and Tommaso Piccioli for this task and the task #87

#12 - Jun 18,2015 11:17 AM - Roberto Cirillo

Why me? Who is the owner of this activity? | don't have never worked on wiki media... but, of course, if | can help you please ask me

#13 - Jun 18,2015 11:20 AM - Luca Frosini
Andrea Dell'Amico as far as | know, we don't have any requirements in this sense. | think the best way is the simplest way for you and Tommaso
Piccioli

#14 - Jun 19, 2015 03:47 PM - Andrea Dell'Amico

- Assignee changed from Andrea Dell'’Amico to Tommaso Piccioli

Two mediawiki instances are now deployed on wiki.d4science.org. The root directories are:

1s -1 /var/www/
total 8
drwxrwxr-x 15 d4swiki d4swiki 4096 May 25 23:22 wiki.d4science.org
drwxrwxr-x 15 gcubewiki gcubewiki 4096 May 25 23:22 wiki.gcube-system.org

The nginx web server is stopped, waiting for the wiki backups.

#16 - Jul 24, 2015 01:38 PM - Andrea Dell'’Amico
| see 4 different wiki database dumps:
d4s2-gcube-wiki.sqgl
d4s2-infrastructure-wiki.sql

d4s2-networking-wiki.sgl
d4s2-service-wiki.sqgl

Do we need four wiki instances?

#17 - Aug 03, 2015 06:01 PM - Andrea Dell'Amico

A recap from the mail thread.

The wiki.gcube-system.org wiki will be this one: [[[https://gcube.wiki.gcube-system.org/gcube/index.php/Main_Page]]]. The same mediawiki
installation hosts other wikis that answer to the following URLS:
[[[https://networking.wiki.d4science-ii.research-infrastructures.eu/networking/index.php/Main_Pagel]]

[[[https://infrastructure.wiki.d4science.research-infrastructures.eu]]]
[[[https://service.wiki.d4science-ii.research-infrastructures.eu/service/index.php/Main_Page]]]

Those ones will be dismissed.
This mediawiki installation is hosted by UOA, the contact person in Konstantinos Kakaletris

The wiki.d4science.org will start from [[[http://wiki.i-marine.eu/index.php/Main_Pagel]], especially the infrastructure operation section. That wiki is
hosted by TrustIT and the contact person in Sara Garavelli

#18 - Aug 03, 2015 06:04 PM - Andrea Dell'Amico

I managed to import the gcube-system wiki database and let the wiki configuration load the main Gcube wiki only. The documents directory is missing
and the backups are old, I've just requested a new one.
| think we can also ask for the i-marine wiki backup too.

#19 - Aug 05, 2015 12:55 PM - Andrea Dell'’Amico

I've mostly managed the configuration for the gcube wiki. I'm now going to import the latest backup.

#20 - Aug 05, 2015 07:09 PM - Andrea Dell'’Amico

- Assignee changed from Tommaso Piccioli to Andrea Dell’Amico

wiki.gcube-system.org is up and, updated to the latest mediawiki distribution.

The authentication doesn't work yet, I'll debug the issue tomorrow morning (it didn't work even before the mediawiki distribution upgrade, btw).

#21 - Aug 06, 2015 02:01 PM - Andrea Dell'Amico

Authentication is now working

#22 - Aug 24, 2015 04:54 PM - Pasquale Pagano

Can you report the date of the backup you have restored?

#23 - Aug 24, 2015 05:03 PM - Andrea Dell'Amico

Pasquale Pagano wrote:

Can you report the date of the backup you have restored?

August, 4:

Is -I /root/download

total 538240

-rw-r--r-- 1 root root 152183620 Aug 4 19:19 2015-08-04_wikibackup.zip
-rw-r--r-- 1 root root 398969490 Aug 4 19:19 2015-08-04_wikinewbackup.zip

#24 - Aug 24, 2015 05:09 PM - Andrea Dell'’Amico

https://wiki.d4science.org is also up and running with the contents from the iMarine wiki.
| enabled the Idap authentication, in the old one the authentication went through the iMarine channel

#25 - Aug 24, 2015 06:57 PM - Pasquale Pagano

Since Kostas reported

| do not know if there are any changes from previous backup that | have uploaded to Andrea. Based on mediawiki "recent changes" the last changes
should have taken place on the 5th of August”

| believe we need another backup and restore it.
#26 - Aug 28, 2015 10:57 AM - Andrea Dell'Amico
- Status changed from In Progress to Feedback
Pasquale Pagano wrote:

Since Kostas reported

| do not know if there are any changes from previous backup that | have uploaded to Andrea. Based on mediawiki "recent changes" the last
changes should have taken place on the 5th of August"

| believe we need another backup and restore it.
Done.
Both the wiki installations now run mediawiki 1.25
#27 - Aug 28, 2015 11:25 AM - Pasquale Pagano

The logo is missing. | am checking the web site. As soon as the logo will be added and the check is complete we will shutdown the Athens instance
and | will communicate the location of the new wiki. The web site will be updated as well.

Apr 30, 2025 3/4


https://wiki.d4science.org

#28 - Aug 31, 2015 05:01 PM - Andrea Dell'’Amico

The logo is now in place.

#29 - Aug 31, 2015 05:15 PM - Luca Frosini

New gCube logo is available here:
https://goo.gl/cd26ky

#30 - Aug 31, 2015 05:34 PM - Andrea Dell'Amico

| installed both the favicon.ico and the logo_squared.png files, but the logo seems too big and | don't find any mediawiki utility to automatically resize
it.

The recommended sizes are 135x135px or 150x150px, see https://www.mediawiki.org/wiki/Manual:FAQ#How_do_|_change_the_logo.3F

#31 - Aug 31, 2015 05:55 PM - Luca Frosini

| just uploaded a 150x150 png image. Can you please fix LocalSettings.php as indicated in the link you provided?
https://wiki.gcube-system.org/images_gcube/6/6b/GCubelogo.png

#32 - Aug 31,2015 06:15 PM - Andrea Dell'Amico

Done. It seems OK now.

#33 - Sep 02, 2015 02:53 PM - Luca Frosini
Can you please also change the configuration file to point to this logo
https://wiki.d4science.org/im 4/4d/D4Sciencelogo.png (it is not the final one but we can update the logo independently).

Moreover can you setup the favicon with the one available here
https://goo.gl/NBwAIG

#34 - Sep 02, 2015 11:13 PM - Andrea Dell'Amico

Luca Frosini wrote:

Can you please also change the configuration file to point to this logo
https://wiki.d4science.org/images/4/4d/D4Sciencel.ogo.png (it is not the final one but we can update the logo independently).

Moreover can you setup the favicon with the one available here
https://goo.g/NBWAIG

Done.

#35 - Sep 03, 2015 09:47 AM - Luca Frosini
Thanks

#36 - Sep 03, 2015 09:48 AM - Luca Frosini
- Status changed from Feedback to Closed
